# server

HTTP server.

## Installation

```shell
go get git.akyoto.dev/go/server
```

## Examples

Init:

```go
s := server.New()

// Add your routes here.

http.ListenAndServe(":8080", s)
```

Static:

```go
s.Get("/", func(ctx server.Context) error {
	return ctx.String("Hello")
})
```

Parameter:

```go
s.Get("/blog/:post", func(ctx server.Context) error {
	return ctx.String(ctx.Get("post"))
})
```

Wildcard:

```go
s.Get("/images/*file", func(ctx server.Context) error {
	return ctx.String(ctx.Get("file"))
})
```